package com.ym.mec.common.validcode;

public interface SmsCodeService {

	/**
	 * 校验验证码
	 * @param mobile
	 * @param authCode
	 * @return
	 */
	boolean verifyValidCode(String mobile, String authCode);

	/**
	 * 发送登录验证码
	 * @return
	 */
	boolean sendValidCode(String mobile);

	/**
	 * 获取验证码
	 *
	 * @param mobile 手机号
	 * @return 验证码
	 */
	Object getValidCode(String mobile);

	/**
	 * 删除验证码
	 *
	 * @param mobile
	 */
	void removeValidCode(String mobile);
}
